function WarlockTimerFu:StunSetup()
self:AddRule("Buffs", "Improved Shadow Bolt", {time = 12}) 
self:AddRule("Buffs", "Backlash", {time = 8, d = { tn = {3, 17}, to = 1}})
self:AddRule("Buffs", "Nether Protection", {time = 4, parse = 1})
self:AddRule("Buffs", "Enslave Demon", { time = 300 })
self:AddRule("Buffs", "Inferno", { time = 300 })
end

tinsert(WarlockTimerFu.timers, WarlockTimerFu.StunSetup)

--USAGE. (group, name, { time = "base time", d={[cp = combo point multiplyer, tn = talent tree table, tb = efect of talents, tp = percentage effect of talents, to =  if not talent then dont use, ]}, [event = "use blizzards spell finished event"]